#!/usr/bin/env ruby
#
# Triggers:
#     ForceRmdir form-in client "ForceRmdir.rb %formfile%"

if ARGV.length < 1
    puts '%formfile% not given.'
    exit 1
end

formfile = ARGV[0]

form_string = ""
form = File.open(formfile, 'r')

form.each do |line|
  if /^Client:.*p4sandbox-.*$/ =~ line
    form.close
    exit 0
  elsif /^Options:.*normdir.*?/ =~ line
    form_string << (line.sub("normdir", "rmdir"))
  else
    form_string << (line)
  end
end

form.close
form = File.open(formfile, 'w')
form.write(form_string)
form.close

exit 0

